package MT::Plugin::HTMLImageElement;
use strict;
use MT;
use MT::Plugin;

our $VERSION = '0.1';

use base qw( MT::Plugin );

@MT::Plugin::HTMLImageElement::ISA = qw(MT::Plugin);

my $plugin = new MT::Plugin::HTMLImageElement({
    name => 'Create HTML IMG element for CustomFields\'s asset.',
    description => 'Create HTML IMG element for CustomFields\'s asset.',
    author_name => 'Junnama Noda',
    author_link => 'http://junnama.alfasado.net/online/',
    version     => $VERSION,
});

MT->add_plugin($plugin);

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        tags => {
            modifier => {
                'HTMLImageElement' => \&HTMLImageElement,
            },
        }
   });
}

sub HTMLImageElement {
	my( $text, $arg, $ctx ) = @_;
    my $path = $text;
    $path =~ s/^<span\s.*?href="(.*?)".*$/$1/;
    my $tag = "<img src=\"$path\" ";
    my $blog = $ctx->stash( 'blog' );
    my $site_url = $blog->site_url;
    if ( $site_url =~ /(.*)\/$/ ) {
        $site_url = $1;
    }
    $path =~ s/$site_url/%r/;
    my $asset = MT::Asset->load( { blog_id => $blog->id,
                                   class   => '*',
                                   url     => $path } );
    $tag .=  'width="' . $asset->image_width . '" height="' . $asset->image_height . '" alt="';
    $tag .=  $asset->label . '" />';
    return $tag;
}

1;